EDIT - bug #7418

remaining specimen determination details view issues
05/15/2018 12:03 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.2

Severity: normal Found in Version:

Description

copied from #7102:

One more related issue: when adding a taxon or name, the according text fields do not change there size but stay in single line
mode. Usually for taxon representation but also for names we need 2 or more lines. It only changes size if resizing e.g. the width of
the details view or by resellecting the specimen.

So this and the scrolling issue are remaining from this ticket. Feel free to open new ticket(s) if necessary.

Related issues:
Copied from EDIT - feature request #7102: Enable EDIT and DELETE for specimen... Closed
Copied to EDIT - bug #7512: Saving in Specimen Tree View creates unwanted scr... New

Associated revisions

Revision 5e9ddd81 - 06/11/2018 04:56 PM - Patrick Plitzner

fix #7418 resize EntitySelectionElement after editing

History

#1 - 05/15/2018 12:03 PM - Patrick Plitzner
- Related to feature request #7102: Enable EDIT and DELETE for specimen determinations added

#2 - 05/15/2018 12:03 PM - Patrick Plitzner
- Related to deleted (feature request #7102: Enable EDIT and DELETE for specimen determinations)

#3 - 05/15/2018 12:03 PM - Patrick Plitzner
- Copied from feature request #7102: Enable EDIT and DELETE for specimen determinations added

#4 - 05/15/2018 12:04 PM - Patrick Plitzner

- Target version changed from Unassigned CDM tickets to Release 5.1

#5 - 06/11/2018 04:56 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|5e9ddd814e4727cce615ee85e7454060357fda3c.

#6 - 06/11/2018 04:57 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

Now, the element is resized after editing.

But | could not reproduce the scrolling bug.

#7 - 06/18/2018 02:53 PM - Andreas Miuller

- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Patrick Plitzner

The resizing issue seems to be solved now.
To reproduce the scrolling issue:

e Connect to test-rem_conf_am

Open Specimen Tree editor

Search for "A*"

Select first field unit and slightly change the first record (e.g. change error radius)
Save => Scrollbar scrolls down

#8 - 06/25/2018 12:07 PM - Patrick Plitzner

This behavior is not reproducable on a Linux machine. On Windows it happens when saving with the "Save" icon but it does not happen when using
CTRL+S.

#9 - 06/25/2018 04:00 PM - Patrick Plitzner
- Target version changed from Release 5.1 to COM UML 5.5

moving this to the next release as it is not critical

#10 - 06/25/2018 07:07 PM - Andreas Miiller

- Copied to bug #7512: Saving in Specimen Tree View creates unwanted scrolling on windows added

#11 - 06/25/2018 07:09 PM - Andreas Miiller

- Status changed from Feedback to Closed

- Target version changed from CDM UML 5.5 to Release 5.2
- % Done changed from 50 to 100

As the scrolling issue is not related to determination details view | created a new ticket for this issue #7512 and revert target version ("UML" was not
the correct one anyway) and close ticket.
